List Contacts
curl --request GET \
--url https://qwoty.app/api/contacts \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/contacts"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "Jean",
"last_name": "Dupont",
"email": "jean.dupont@acme.com",
"phone": "+33 6 12 34 56 78",
"role": ["buyer", "signer"],
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Contacts
List Contacts
Retrieve all contacts in your workspace
GET
/
api
/
contacts
List Contacts
Authorization
string
required
Bearer token. Format:
Bearer qwoty_your_tokenQuery Parameters
string
Filter contacts by customer UUID
Examples
curl "https://qwoty.app/api/contacts?customer_id=550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer qwoty_your_token"
const response = await fetch(
'https://qwoty.app/api/contacts?customer_id=550e8400-e29b-41d4-a716-446655440000',
{ headers: { Authorization: 'Bearer qwoty_your_token' } },
)
const data = await response.json()
import requests
response = requests.get(
'https://qwoty.app/api/contacts',
params={'customer_id': '550e8400-e29b-41d4-a716-446655440000'},
headers={'Authorization': 'Bearer qwoty_your_token'},
)
data = response.json()
Response
boolean
true if the request succeededarray
Array of contact objects
Show Contact Object
Show Contact Object
string
UUID
string
Workspace UUID
string
Parent customer UUID
string
First name
string
Last name
string
Email address
string | null
Phone number
array
Assigned roles
string | null
External CRM ID
string | null
External ERP ID
string | null
External accounting ID
string[]
Array of address UUIDs linked to this contact. Use
GET /api/addresses/{id} to fetch each address.string
ISO 8601 timestamp
string
ISO 8601 timestamp
{
"success": true,
"data": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "Jean",
"last_name": "Dupont",
"email": "jean.dupont@acme.com",
"phone": "+33 6 12 34 56 78",
"role": ["buyer", "signer"],
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Was this page helpful?
⌘I

